/****************************************************************************
**
** Copyright (C) 2013-2015 Oleg Yadrov
**
** Licensed under the Apache License, Version 2.0 (the "License");
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
** http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
**
****************************************************************************/

import QtQuick 2.10
import QtQuick.Layouts 1.2

Item {
    id: cButton

    property alias text: buttonLabel.text
    signal clicked()

    Rectangle {
        id: background
        anchors.fill: parent
        color: mouseArea.pressed ? myPalette.contextMenuButtonPressed : myPalette.contextMenuButton
    }

    CLabel {
        id: buttonLabel
        anchors.fill: parent
        horizontalAlignment: Text.AlignHCenter
        color: myPalette.contextMenuButtonText
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked:
            cButton.clicked()
    }
}
